import { CustomizedSchema } from '../schema/customized-schema.class';
import { DatabaseConnector } from '../database/database-connector-builder';
export interface ProgressEvent {
    step: string;
    currentTable: string;
    currentValue: number;
    max: number;
    state: 'RUNNING' | 'DONE';
    comment?: string;
}
export declare class Generator {
    private dbConnector;
    private schema;
    private callback;
    private random;
    private continue;
    constructor(dbConnector: DatabaseConnector, schema: CustomizedSchema, callback?: (event: ProgressEvent) => void);
    gotoNextTable(): void;
    private empty;
    private getForeignKeyValues;
    fillTables(reset?: boolean): Promise<void>;
    private fill;
    private beforeAll;
    private afterAll;
    private before;
    private generateData;
    private after;
}
